Home Download Buy Blog Forum Support

Some Packages Won't Load

Some Packages Won't Load

Postby CWSpear on Sat Jul 20, 2013 9:22 am

Running Sublime Text 3 Build 3047, I have recently had issues loading some packages. Specifically, my SublimeLinter stopped working and it's one I would like to get working again.

In trying to see what might be causing the issue, I noticed that my HTML.encode_html_entities package isn't loading either. I don't know if it's related, but here's the issues in my log: (all other user-installed packages are disabled except for SublimeLinter).

I'm not sure that it's strictly related to SublimeLinter, but I did open a ticket on their GitHub: https://github.com/SublimeLinter/Sublim ... issues/495

I've been using Sublime 3 for a while, pretty much since the start of Beta, and have only recently had noticeable problems. I can't think of anything I did that would have caused this (i.e. install a new package, changed any settings, etc), except maybe update to Build 3047? I can't recall if it's been a month since it was working.

Here's the relevant code from the console:

Code: Select all
# everything's normal until...

reloading plugin HTML.encode_html_entities
Traceback (most recent call last):
  File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 671, in load_module
    exec(compile(source, source_path, 'exec'), mod.__dict__)
  File "/Users/cameron/Dropbox/Application Support/Sublime Text 3/Packages/HTML/encode_html_entities.py", line 6, in <module>
    from htmlentitydefs import codepoint2name as cp2n
ImportError: No module named 'htmlentitydefs'
reloading plugin HTML.html_completions
reloading plugin SublimeLinter.SublimeLinter
Traceback (most recent call last):
  File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 586, in _check_name_wrapper
  File "<frozen importlib._bootstrap>", line 1023, in load_module
  File "<frozen importlib._bootstrap>", line 1004, in load_module
  File "<frozen importlib._bootstrap>", line 562, in module_for_loader_wrapper
  File "<frozen importlib._bootstrap>", line 854, in _load_module
  File "<frozen importlib._bootstrap>", line 981, in get_code
  File "<frozen importlib._bootstrap>", line 313, in _call_with_frames_removed
  File "/Users/cameron/Dropbox/Application Support/Sublime Text 3/Packages/SublimeLinter/SublimeLinter.py", line 393
    print 'SublimeLinter: {0} {1} ({2})'.format(language, 'enabled' if enabled else 'disabled', message)
                                       ^
SyntaxError: invalid syntax
plugins loaded
loaded 851 snippets
CWSpear
 
Posts: 4
Joined: Fri Mar 01, 2013 2:52 am

Re: Some Packages Won't Load

Postby skuroda on Sat Jul 20, 2013 6:02 pm

have you overridden some of the files in the HTML package? I thought jps had addressed this but maybe not. You may need to extract the entire contents of that folder, rather than a subset of them. As for SublimeLinter, the master branch is not compatible with ST3. ST3 uses Python 3, whereas ST2 used Python 2 (note the error occurring is for syntax issues. There is an ST3 branch, though I don't know how stable it is. Assuming you used package control, uninstall SublimeLinter, then add the following as a repository (https://github.com/SublimeLinter/Sublim ... ime-text-3). Then reinstall SublimeLinter. It should grab the ST3 branch instead. Though again, I don't know if it works or if it is a work in progress.
skuroda
 
Posts: 685
Joined: Fri Oct 05, 2012 8:11 am

Re: Some Packages Won't Load

Postby CWSpear on Sat Jul 20, 2013 6:46 pm

Dang... even with the new package, pretty much the same error:

And I don't think I messed with the HTML package at all, but I extracted and it's basically the same error, too (just some different paths).

Is there a deeper, python-y issue here?

Code: Select all
reloading plugin HTML.encode_html_entities
Traceback (most recent call last):
  File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 671, in load_module
    exec(compile(source, source_path, 'exec'), mod.__dict__)
  File "/Users/cameron/Dropbox/Application Support/Sublime Text 3/Packages/HTML/encode_html_entities.py", line 6, in <module>
    from htmlentitydefs import codepoint2name as cp2n
ImportError: No module named 'htmlentitydefs'
reloading plugin HTML.html_completions
reloading plugin SublimeLinter.SublimeLinter
Traceback (most recent call last):
  File "/Applications/Sublime Text.app/Contents/MacOS/sublime_plugin.py", line 73, in reload_plugin
    m = importlib.import_module(modulename)
  File "X/importlib/__init__.py", line 88, in import_module
  File "<frozen importlib._bootstrap>", line 1577, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1558, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1525, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 586, in _check_name_wrapper
  File "<frozen importlib._bootstrap>", line 1023, in load_module
  File "<frozen importlib._bootstrap>", line 1004, in load_module
  File "<frozen importlib._bootstrap>", line 562, in module_for_loader_wrapper
  File "<frozen importlib._bootstrap>", line 854, in _load_module
  File "<frozen importlib._bootstrap>", line 981, in get_code
  File "<frozen importlib._bootstrap>", line 313, in _call_with_frames_removed
  File "/Users/cameron/Dropbox/Application Support/Sublime Text 3/Packages/SublimeLinter/SublimeLinter.py", line 393
    print language
                 ^
SyntaxError: invalid syntax
plugins loaded
loaded 852 snippets
CWSpear
 
Posts: 4
Joined: Fri Mar 01, 2013 2:52 am

Re: Some Packages Won't Load

Postby skuroda on Sat Jul 20, 2013 10:06 pm

Looks like SublimeLinter was never fully ported. Nothing you can really do about that. As for HTML, try deleting the HTML folder (if you have one) in the "Packages" folder and restarting sublime. See if you still have an error then.
skuroda
 
Posts: 685
Joined: Fri Oct 05, 2012 8:11 am

Re: Some Packages Won't Load

Postby CWSpear on Sat Jul 20, 2013 11:37 pm

That did work for the HTML package, thanks.

That really sucks about SublimeLinter... I could have sworn I've used it since upgrading to Sublime 3 Beta, but I guess not...

I guess I might just have to get Sublime 2 back up and running. :-/

Thanks for the help.
CWSpear
 
Posts: 4
Joined: Fri Mar 01, 2013 2:52 am

Re: Some Packages Won't Load

Postby skuroda on Sun Jul 21, 2013 3:25 am

Well on the upside, you can install both ST2 and ST3 side by side. So you can check in on the status of the plugins as things move forward.
skuroda
 
Posts: 685
Joined: Fri Oct 05, 2012 8:11 am


Return to Technical Support

Who is online

Users browsing this forum: No registered users and 23 guests